#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './videowidget.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "videowidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <klistview.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a VideoWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
VideoWidget::VideoWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "VideoWidget" );
    setMinimumSize( QSize( 100, 100 ) );
    VideoWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "VideoWidgetLayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    _videoListView = new KListView( groupBox3, "_videoListView" );
    _videoListView->addColumn( tr2i18n( "Name" ) );
    _videoListView->addColumn( tr2i18n( "Author" ) );
    _videoListView->addColumn( tr2i18n( "Description" ) );
    _videoListView->setAllColumnsShowFocus( TRUE );

    groupBox3Layout->addMultiCellWidget( _videoListView, 0, 0, 0, 2 );

    _configure = new QPushButton( groupBox3, "_configure" );

    groupBox3Layout->addWidget( _configure, 1, 1 );
    spacer5 = new QSpacerItem( 124, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox3Layout->addItem( spacer5, 1, 0 );
    spacer6 = new QSpacerItem( 123, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox3Layout->addItem( spacer6, 1, 2 );

    VideoWidgetLayout->addWidget( groupBox3, 0, 0 );

    GroupBox2 = new QGroupBox( this, "GroupBox2" );
    GroupBox2->setColumnLayout(0, Qt::Vertical );
    GroupBox2->layout()->setSpacing( 6 );
    GroupBox2->layout()->setMargin( 11 );
    GroupBox2Layout = new QGridLayout( GroupBox2->layout() );
    GroupBox2Layout->setAlignment( Qt::AlignTop );
    spacer1 = new QSpacerItem( 125, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox2Layout->addItem( spacer1, 0, 2 );

    _fixAR = new QCheckBox( GroupBox2, "_fixAR" );

    GroupBox2Layout->addWidget( _fixAR, 0, 0 );

    _aspectCombo = new QComboBox( FALSE, GroupBox2, "_aspectCombo" );
    _aspectCombo->setEnabled( FALSE );

    GroupBox2Layout->addWidget( _aspectCombo, 0, 1 );

    VideoWidgetLayout->addWidget( GroupBox2, 2, 0 );

    groupBox3_2 = new QGroupBox( this, "groupBox3_2" );
    groupBox3_2->setColumnLayout(0, Qt::Vertical );
    groupBox3_2->layout()->setSpacing( 6 );
    groupBox3_2->layout()->setMargin( 11 );
    groupBox3_2Layout = new QGridLayout( groupBox3_2->layout() );
    groupBox3_2Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( groupBox3_2, "textLabel1" );

    groupBox3_2Layout->addWidget( textLabel1, 0, 0 );

    _browse = new QPushButton( groupBox3_2, "_browse" );

    groupBox3_2Layout->addWidget( _browse, 0, 3 );

    _snapshotQuality = new QSpinBox( groupBox3_2, "_snapshotQuality" );
    _snapshotQuality->setButtonSymbols( QSpinBox::UpDownArrows );
    _snapshotQuality->setMaxValue( 100 );
    _snapshotQuality->setMinValue( -1 );
    _snapshotQuality->setValue( -1 );

    groupBox3_2Layout->addWidget( _snapshotQuality, 2, 3 );

    textLabel2 = new QLabel( groupBox3_2, "textLabel2" );
    textLabel2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    groupBox3_2Layout->addWidget( textLabel2, 2, 2 );

    textLabel1_3 = new QLabel( groupBox3_2, "textLabel1_3" );

    groupBox3_2Layout->addWidget( textLabel1_3, 1, 0 );

    textLabel1_2 = new QLabel( groupBox3_2, "textLabel1_2" );

    groupBox3_2Layout->addWidget( textLabel1_2, 2, 0 );

    _snapshotFormat = new QComboBox( FALSE, groupBox3_2, "_snapshotFormat" );

    groupBox3_2Layout->addWidget( _snapshotFormat, 2, 1 );

    _snapshotSize = new QComboBox( FALSE, groupBox3_2, "_snapshotSize" );

    groupBox3_2Layout->addWidget( _snapshotSize, 1, 1 );

    _snapshotPath = new QLineEdit( groupBox3_2, "_snapshotPath" );
    _snapshotPath->setReadOnly( TRUE );

    groupBox3_2Layout->addMultiCellWidget( _snapshotPath, 0, 0, 1, 2 );

    VideoWidgetLayout->addWidget( groupBox3_2, 1, 0 );
    languageChange();
    resize( QSize(514, 418).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _fixAR, SIGNAL( toggled(bool) ), _aspectCombo, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( _videoListView, _configure );

    // buddies
    textLabel1->setBuddy( _snapshotPath );
    textLabel2->setBuddy( _snapshotQuality );
    textLabel1_3->setBuddy( _snapshotSize );
    textLabel1_2->setBuddy( _snapshotFormat );
}

/*
 *  Destroys the object and frees any allocated resources
 */
VideoWidget::~VideoWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void VideoWidget::languageChange()
{
    QToolTip::add( this, QString::null );
    groupBox3->setTitle( tr2i18n( "Video Input Methods" ) );
    _videoListView->header()->setLabel( 0, tr2i18n( "Name" ) );
    _videoListView->header()->setLabel( 1, tr2i18n( "Author" ) );
    _videoListView->header()->setLabel( 2, tr2i18n( "Description" ) );
    QToolTip::add( _videoListView, tr2i18n( "Select video-input plugins here" ) );
    QWhatsThis::add( _videoListView, tr2i18n( "Video plugins selector. Check all the input methods you want to use." ) );
    _configure->setText( tr2i18n( "Configure Selected Plugin..." ) );
    QToolTip::add( _configure, tr2i18n( "Launch plugin-configuration dialog" ) );
    QWhatsThis::add( _configure, tr2i18n( "Launches plugin-configuration dialog. Disabled if the currently selected plugin is not configurable." ) );
    GroupBox2->setTitle( tr2i18n( "Aspect Ratio" ) );
    _fixAR->setText( tr2i18n( "Fix to 4:3 aspect ratio:" ) );
    QToolTip::add( _fixAR, tr2i18n( "Check to keep the aspect ratio of the television screen fixed to 4:3 (standard TV)" ) );
    QWhatsThis::add( _fixAR, tr2i18n( "When checked the television screen will be forced to have a fixed aspect ratio of 4:3 (standard TV)" ) );
    _aspectCombo->clear();
    _aspectCombo->insertItem( tr2i18n( "Fix Height to Width" ) );
    _aspectCombo->insertItem( tr2i18n( "Fix Width to Height" ) );
    _aspectCombo->insertItem( tr2i18n( "Best Fit" ) );
    QToolTip::add( _aspectCombo, tr2i18n( "Select the way in which the aspect ratio should be fixed" ) );
    QWhatsThis::add( _aspectCombo, tr2i18n( "This lets you select how the aspect ratio should be fixed" ) );
    groupBox3_2->setTitle( tr2i18n( "Snapshots" ) );
    textLabel1->setText( tr2i18n( "Save to:" ) );
    _browse->setText( tr2i18n( "Browse..." ) );
    _snapshotQuality->setSpecialValueText( tr2i18n( "Default" ) );
    textLabel2->setText( tr2i18n( "Quality:" ) );
    QToolTip::add( textLabel2, tr2i18n( "0: lowest, 100: highest Quality" ) );
    textLabel1_3->setText( tr2i18n( "Size:" ) );
    textLabel1_2->setText( tr2i18n( "Format:" ) );
}

#include "videowidget.moc"
