#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './channelimportdlg.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "channelimportdlg.h"

#include <qvariant.h>
#include <kdebug.h>
#include <qlistview.h>
#include <qstring.h>
#include <kglobal.h>
#include <qdir.h>
#include <kstandarddirs.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "channelio.h"
#include "kdetv.h"

/*
 *  Constructs a ChannelImportDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ChannelImportDlg::ChannelImportDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ChannelImportDlg" );
    ChannelImportDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "ChannelImportDlgLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    _encoding = new QComboBox( FALSE, groupBox1, "_encoding" );

    groupBox1Layout->addWidget( _encoding, 1, 1 );

    _source = new QComboBox( FALSE, groupBox1, "_source" );

    groupBox1Layout->addWidget( _source, 0, 1 );

    textLabel2 = new QLabel( groupBox1, "textLabel2" );

    groupBox1Layout->addWidget( textLabel2, 1, 0 );

    textLabel1 = new QLabel( groupBox1, "textLabel1" );

    groupBox1Layout->addWidget( textLabel1, 0, 0 );

    ChannelImportDlgLayout->addMultiCellWidget( groupBox1, 0, 0, 0, 2 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    textLabel3 = new QLabel( groupBox2, "textLabel3" );

    groupBox2Layout->addWidget( textLabel3, 0, 0 );

    _freqList = new QComboBox( FALSE, groupBox2, "_freqList" );

    groupBox2Layout->addWidget( _freqList, 0, 1 );

    ChannelImportDlgLayout->addMultiCellWidget( groupBox2, 1, 1, 0, 2 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    _append = new QRadioButton( buttonGroup1, "_append" );

    buttonGroup1Layout->addWidget( _append, 1, 0 );

    _replace = new QRadioButton( buttonGroup1, "_replace" );
    _replace->setChecked( TRUE );

    buttonGroup1Layout->addWidget( _replace, 0, 0 );

    ChannelImportDlgLayout->addMultiCellWidget( buttonGroup1, 2, 2, 0, 2 );
    Spacer10 = new QSpacerItem( 185, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ChannelImportDlgLayout->addItem( Spacer10, 4, 0 );

    _cancel = new QPushButton( this, "_cancel" );

    ChannelImportDlgLayout->addWidget( _cancel, 4, 2 );

    _ok = new QPushButton( this, "_ok" );
    _ok->setEnabled( TRUE );

    ChannelImportDlgLayout->addWidget( _ok, 4, 1 );
    spacer2 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ChannelImportDlgLayout->addItem( spacer2, 3, 0 );
    spacer2_2 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ChannelImportDlgLayout->addItem( spacer2_2, 3, 1 );
    spacer2_3 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ChannelImportDlgLayout->addItem( spacer2_3, 3, 2 );
    languageChange();
    resize( QSize(225, 293).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( _ok, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( _cancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
ChannelImportDlg::~ChannelImportDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ChannelImportDlg::languageChange()
{
    setCaption( tr2i18n( "Kdetv Channel Import" ) );
    groupBox1->setTitle( tr2i18n( "Video Source && Encoding" ) );
    textLabel2->setText( tr2i18n( "Encoding:" ) );
    textLabel1->setText( tr2i18n( "Source:" ) );
    groupBox2->setTitle( tr2i18n( "Frequency List Selection" ) );
    textLabel3->setText( tr2i18n( "Frequency list:" ) );
    buttonGroup1->setTitle( tr2i18n( "Import Mode" ) );
    _append->setText( tr2i18n( "Append to current channels" ) );
    _replace->setText( tr2i18n( "Replace current channels" ) );
    _cancel->setText( tr2i18n( "&Cancel" ) );
    _ok->setText( tr2i18n( "&Import" ) );
}

void ChannelImportDlg::enableImport()
{
    qWarning( "ChannelImportDlg::enableImport(): Not implemented yet" );
}

void ChannelImportDlg::init()
{
}

void ChannelImportDlg::populateWithDefaults()
{
    qWarning( "ChannelImportDlg::populateWithDefaults(): Not implemented yet" );
}

QString ChannelImportDlg::selectedFile()
{
    qWarning( "ChannelImportDlg::selectedFile(): Not implemented yet" );
    return QString();
}

Kdetv* ChannelImportDlg::driver()
{
    qWarning( "ChannelImportDlg::driver(): Not implemented yet" );
    return 0;
}

void ChannelImportDlg::setDriver(Kdetv*)
{
    qWarning( "ChannelImportDlg::setDriver(Kdetv*): Not implemented yet" );
}

#include "channelimportdlg.moc"
